#{extends 'border.html'/}
<div class="container-fluid">

    <div class="row">
        <div class="col-md-2 hidden-mobile">
        #{include '/pl/filter-cms.html'/}
        </div>

        <div class="row">
            <div class="col-md-10">
                <!-- Toolbar -->
                <div class="toolbar">
                    <a href="@{create()}" class="btn btn-primary btn-md"><i class="fa fa-plus"></i> &{'tambah.label'} &{'faq.label'}</a>
                </div>
                <!-- End Toolbar -->
                #{alert /}
                <div class="panel panel-default">
                    <div class="panel-body hidden-mobile" style="overflow-x:auto;">
                        <!-- Data Table -->
                        <table class="table table-striped" id="tblFaq">
                            <thead>
                                <tr>
                                    <th>&{'nomor.label'}</th>
                                    <th>&{'kategori.label'}</th>
                                    <th>&{'judul.label'}</th>
                                    <th>&{'konten.label'}</th>
                                    <th>&{'status.label'}</th>
                                    <th>&{'aktif.label'}</th>
                                    <th style="width: 30%">&{'tanggal_publikasi.label'}</th>
                                    <th></th>
                                </tr>
                            </thead>
                        </table>
                        <!-- End Data Table -->
                    </div>
                    <div class="panel-body only-mobile" style="overflow-x:auto;">
                        <!-- Data Table -->
                        <table class="table table-striped" id="tblFaqMobile">
                            <thead>
                            <tr>
                                <th>&{'nomor.label'}</th>
                                <th>&{'kategori.label'}</th>
                                <th>&{'judul.label'}</th>
                                <th>&{'konten.label'}</th>
                                <th>&{'status.label'}</th>
                                <th>&{'aktif.label'}</th>
                                <th style="width: 30%">&{'tanggal_publikasi.label'}</th>
                                <th></th>
                            </tr>
                            </thead>
                        </table>
                        <!-- End Data Table -->
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!-- Modal -->
    <div class="modal fade" id="viewModal" tabindex="-1" role="dialog"
         aria-labelledby="myModalLabel">
        <div class="modal-dialog modal-lg" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="form-group">
                        <h3><b><p id="judul_konten"></p></b></h3>
                    </div>
                    <div class="form-group">
                        <br>
                        <p id="konten"></p>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default btn-md" data-dismiss="modal"><i class="fa fa-close"></i> &{'batal.label'}</button>
                </div>
            </div>
        </div>
    </div>
    <div class="btn-footer">
        <div class="row">
            <div class="col-xs-12">
                <a href="#" onclick="showSidebar()"><span class="span-hide">Hide </span>Filter</a>
            </div>
        </div>
    </div>
    <div class="faq" id="mobile-sidebar">
        <div class="mobile-navigation-bar">
            <a href="#" onclick="closeSidebar()">
                <i class="fa fa-arrow-circle-left"></i> &{'faq.label'}
            </a>
        </div>
        <div class="container-fluid">
            <div class="row">
                <div class="col-xs-12 col-sm-12">
                    #{include '/pl/filter-cms.html'/}
                </div>
            </div>
        </div>
    </div>
</div>

#{set 'moreScripts'}
<script type="text/javascript">
    jQuery(document).ready(function(){
        $("#tblFaq").dataTable({
            "searching": false,
            ajax : {
                url : "@{DataTableCtr.cariFaq()}",
                data: function (d) {
                    d["keyword"] = $(".hidden-mobile #keyword").val();
                    d["kategori_id"] = $(".hidden-mobile #kategori").val();
                    d["status"]= $(".hidden-mobile #status").val();
                    d["aktif"] = $(".hidden-mobile #aktif").val();
                },
                cache : true
            },
            order : [0, "desc"],
            columns :
            [
                {
                    "searchable" : false, "className": "header-center",
                    render : function (data, type, row, meta) {
                        return meta.row + meta.settings._iDisplayStart + 1 + ".";
                    }
                },
                {"searchable" : false, orderable : false},
                {"searchable" : false, orderable : false},
                {"searchable" : false, orderable : false, "className": "header-center"},
                {"searchable" : false, orderable : false, "className": "header-center"},
                {"searchable" : false, orderable : false, "className": "header-center"},
                {"searchable" : false, orderable : false, "className": "header-center"},
                {"searchable" : false, orderable : false, "className": "header-center"}
            ]
        });
        $("#tblFaqMobile").dataTable({
            "searching": false,
            ajax : {
                url : "@{DataTableCtr.cariFaq()}",
                data: function (d) {
                    d["keyword"] = $("#mobile-sidebar #keyword").val();
                    d["kategori_id"] = $("#mobile-sidebar #kategori").val();
                    d["status"]= $("#mobile-sidebar #status").val();
                    d["aktif"] = $("#mobile-sidebar #aktif").val();
                },
                cache : true
            },
            order : [0, "desc"],
            columns :
                [
                    {
                        "searchable" : false, "className": "header-center",
                        render : function (data, type, row, meta) {
                            return meta.row + meta.settings._iDisplayStart + 1 + ".";
                        }
                    },
                    {"searchable" : false, orderable : false},
                    {"searchable" : false, orderable : false},
                    {"searchable" : false, orderable : false, "className": "header-center"},
                    {"searchable" : false, orderable : false, "className": "header-center"},
                    {"searchable" : false, orderable : false, "className": "header-center"},
                    {"searchable" : false, orderable : false, "className": "header-center"},
                    {"searchable" : false, orderable : false, "className": "header-center"}
                ]
        });
    });

    $(".hidden-mobile #submitBtn").on("click", function(){
        $("#tblFaq").DataTable().order(JSON.parse($('.hidden-mobile #order').val())).draw();
    });
    $("#mobile-sidebar #submitBtn").on("click", function(){
        $("#tblFaqMobile").DataTable().order(JSON.parse($('#mobile-sidebar #order').val())).draw();
        closeSidebar();
    });

    $('.hidden-mobile #keyword').keypress(function(event){
        var keycode = event.keyCode || event.which;
        if(keycode == '13') {
            $('.hidden-mobile #submitBtn').click();
            return false;
        }
        return;
    });
    $('#mobile-sidebar #keyword').keypress(function(event){
        var keycode = event.keyCode || event.which;
        if(keycode == '13') {
            $('#mobile-sidebar #submitBtn').click();
            return false;
        }
        return;
    });

    $("body").on("click", ".isi_konten", function() {
        var judul = $(this).attr("judul");
        var konten = $(this).attr("konten");

        $("#judul_konten").empty().text(judul);
        $("#konten").empty().append(konten);
        $("#viewModal").modal();
    });
</script>
#{/set}